Skip to main content

Authentication

Overview​

To access Sky Mavis APIs, you need to authenticate your requests. This page explains how to authenticate requests to Sky Mavis APIs using an API key.

Get your API key​

  1. Go to the Ronin Developer Console.
  2. Select your app or create a new one.
  3. On the Information tab, locate the KEY field. This is your API key.

Use your API key in requests​

To sign a request, add your API key to the X-API-Key HTTP header or append it as a query parameter.

Example using the X-API-Key header:

curl -L -X GET 'https://api-gateway.skymavis.com/{API_NAME}/resource/operation' \
-H 'Accept: application/json' \
-H 'X-API-Key: {YOUR_API_KEY}' \

Example using a query parameter:

curl -L -X GET 'https://api-gateway.skymavis.com/{API_NAME}/resource/operation?apiKey={YOUR_API_KEY}' \
-H 'Accept: application/json'

Send requests in the API documentation​

To send a request from the API reference pages, paste your API key in the ApiKeyAuth field and send the request.